# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


## [1.6.0] - 2021-07-05

### Added

- compatibility to eXist 5.3.0 (now with an dependency mapping in package metadata file expath-pkg.xml)

### Changes

- XQuery script files are renamed from “xql” to “xq”
- eXist binary file for build target “test” moved to GitHub

## [1.5.0] - 2021-07-05

### Changed

- the test output only provides detailed information on the results in case something has gone wrong.
- Docker images have been changed to (mostly) custom images.
these improve the performance of the pipelines and mitigate the dependency on external images.

### Fixed

- the path for retrieving eXist-db has been updated according to upstream changes.

## [1.4.0] - 2021-02-15

### Changed

- Images are not fully loaded during the publish process, but only their hc:response header is requested.
This dramatically reduces the process running time and fixes the issue that validation errors do not seem to be thrown in certain circumstances.

## [1.3.0] - 2021-01-20

### Changed

- User directly receive feedback in the status panel if they have successfully logged in and are able to publish data to the database.

## [1.2.0] - 2021-01-18

### Added

- This CHANGELOG to keep track of the development.

### Changed

- If an XML file is not valid or its schema file is missing, the warning output now also provides the file's title as shown in the TextGrid navigator.
This simplifies finding the file in focus.
